Page MenuHomePhabricator

UI for adding statements in UploadWizard (Q-items only, no qualifiers)
Closed, ResolvedPublic

Description

Note: blocked by https://phabricator.wikimedia.org/T219378

User story:
As a normal user
In the metadata step in UW
I want to be able to add a statement block for a Property that doesn't already have statements
Where the statement Property accepts Q-items as a value (i.e. the property has data-type 'wikibase-entity')

We have this:
'depicts' statements only

We want this:

  • an 'add statement' link
  • clicking the link gives the user an auto-suggest
  • the user types, and receives a list of properties with data-type 'wikibase-entity' (and that excludes properties we already have on the page)
  • when the user selects a property a statement block similar to that for 'depicts' is created, and the user can add/edit values for the property like they do for depicts

Not in scope:

  • qualifiers
  • properties with data types that are not 'wikibase-entity'

Acceptance Criteria:

  • in metadata step in UW user can add statement block for any property that has data type 'wikibase-entity'
  • user can add/delete statements in new statement block
  • user can remove all statements
  • user can publish to save new statements

Event Timeline

Cparle created this task.Mar 27 2019, 3:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2019, 3:51 PM
Ramsey-WMF triaged this task as High priority.Mar 28 2019, 2:23 PM
Ramsey-WMF moved this task from Untriaged to Triaged on the Multimedia board.

Change 513631 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/UploadWizard@master] Other statements in UploadWizard

https://gerrit.wikimedia.org/r/513631

Cparle claimed this task.May 31 2019, 4:01 PM
Cparle moved this task from To Do to Code Review on the Structured-Data-Team-Current-Work board.

Change 513631 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Other statements in UploadWizard

https://gerrit.wikimedia.org/r/513631

Cparle removed Cparle as the assignee of this task.Jun 12 2019, 4:37 PM

De-assigning from myself - will reassign once it's ready for testing on beta

Cparle updated the task description. (Show Details)Jun 12 2019, 4:38 PM
Ramsey-WMF closed this task as Resolved.Jul 29 2019, 4:35 PM
Ramsey-WMF claimed this task.